---
title: "Tamloot — Check service health"
description: "Check service health: parameters, request examples, and response schemas for GET /v1/health."
canonical: "https://tamloot.cc/en/docs/developers/api-reference/health"
last-updated: "2026-10-18"
---

# Check service health

`GET /v1/health`

This endpoint does not require an API key.

Based on the published [OpenAPI description](https://tamloot.cc/openapi.json). Schema names and code identifiers are shown exactly as the API defines them.

## Parameters

This operation takes no parameters.

## Request examples

```bash
curl "https://api.tamloot.cc/v1/health"
```

```javascript
const response = await fetch("https://api.tamloot.cc/v1/health");
if (!response.ok) throw new Error('HTTP ' + response.status);
const result = await response.json();
```

## Responses

| Status | Meaning |
| --- | --- |
| 200 | Successful response |
| 429 | Rate limit exceeded; wait according to Retry-After |

### Success response schema

```json
{
  "type": "object",
  "properties": {
    "data": {
      "type": "object",
      "properties": {
        "status": {
          "type": "string"
        },
        "version": {
          "type": "string"
        }
      }
    }
  }
}
```

### Error response schema

```json
{
  "type": "object",
  "required": [
    "error"
  ],
  "properties": {
    "error": {
      "type": "object",
      "required": [
        "code",
        "message"
      ],
      "properties": {
        "code": {
          "type": "string",
          "description": "HTTP status code as a string, e.g. \"404\""
        },
        "message": {
          "type": "string"
        }
      }
    }
  }
}
```

### Response headers

```json
{
  "RateLimit-Limit": {
    "description": "Requests allowed per one-second window.",
    "schema": {
      "type": "integer"
    }
  },
  "RateLimit-Policy": {
    "description": "The rate-limit policy, as `<limit>;w=<window seconds>`.",
    "schema": {
      "type": "string"
    }
  }
}
```

See the [quickstart](/en/docs/developers/quickstart) for API key setup and [API overview](/en/docs/developers/api) for rate limits and versioning.

## Where to look next

- [Tamloot](https://tamloot.cc/en)
- [All guides](https://tamloot.cc/en/docs)
- [llms.txt](https://tamloot.cc/docs/llms.txt)
- [Sitemap](https://tamloot.cc/sitemaps/sitemap.xml)
